program writetest
implicit none
integer ::  i
real    ::  x

 i = 99
 x = 99.0
 open(unit=12, file='testdata.bin', form='unformatted', &
	 access='direct', recl=10)
 write(unit=12, rec=1) i, x, 'A'
 close(12)

stop
end
